## getSoundCache

### Syntax:

    getSoundCache ();

### Purpose:

Finds out which samples are currently cached.

### Return value:

The function returns a stack containing up to 8 file handles, one for each sample which is in the cache. You can subsequently loop through this stack to change the volume of or stop all active samples (as a sample must be in the cache in order for it to be playing).

### See also:

The Multi-Purpose Stack / Array / Queue Type

cacheSound

playSound

stopSound

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012